## org.jfree.chart.plot
Class Marker

    java.lang.Object
      org.jfree.chart.plot.Marker

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

Direct Known Subclasses:
  IntervalMarker, ValueMarker

public abstract class Marker
extends java.lang.Object
implements java.io.Serializable, java.lang.Cloneable

The base class for markers that can be added to plots to highlight a value or range of values.

See Also:
  Serialized Form

Constructor Summary
`Marker()` Constructs a new marker.
`Marker(java.awt.Paint paint)` Constructs a new marker.
`Marker(java.awt.Paint paint, java.awt.Stroke stroke, java.awt.Paint outlinePaint, java.awt.Stroke outlineStroke, float alpha)` Constructs a new marker.

Method Summary
`boolean` `equals(java.lang.Object object)` Tests an object for equality with this instance.
`float` `getAlpha()` Returns the alpha transparency.
`java.lang.String` `getLabel()` Returns the label (if `null` no label is displayed).
`org.jfree.ui.RectangleAnchor` `getLabelAnchor()` Returns the label anchor.
`java.awt.Font` `getLabelFont()` Returns the label font.
`org.jfree.ui.RectangleInsets` `getLabelOffset()` Returns the label offset.
`java.awt.Paint` `getLabelPaint()` Returns the label paint.
`org.jfree.ui.TextAnchor` `getLabelTextAnchor()` Returns the label text anchor.
`java.awt.Paint` `getOutlinePaint()` Returns the outline paint.
`java.awt.Stroke` `getOutlineStroke()` Returns the outline stroke.
`java.awt.Paint` `getPaint()` Returns the paint.
`java.awt.Stroke` `getStroke()` Returns the stroke.
`void` `setAlpha(float alpha)` Sets the alpha transparency.
`void` `setLabel(java.lang.String label)` Sets the label (if `null` no label is displayed).
`void` `setLabelAnchor(org.jfree.ui.RectangleAnchor anchor)` Sets the label anchor.
`void` `setLabelFont(java.awt.Font font)` Sets the label font.
`void` `setLabelOffset(org.jfree.ui.RectangleInsets offset)` Sets the label offset.
`void` `setLabelPaint(java.awt.Paint paint)` Sets the label paint.
`void` `setLabelTextAnchor(org.jfree.ui.TextAnchor anchor)` Sets the label text anchor.
`void` `setOutlinePaint(java.awt.Paint paint)` Sets the outline paint.
`void` `setOutlineStroke(java.awt.Stroke stroke)` Sets the outline stroke.
`void` `setPaint(java.awt.Paint paint)` Sets the paint.
`void` `setStroke(java.awt.Stroke stroke)` Sets the stroke.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Marker

    public Marker()

  Constructs a new marker.

### Marker

    public Marker(java.awt.Paint paint)

  Constructs a new marker.

Parameters:
  `paint` - the paint (`null` not permitted).

### Marker

    public Marker(java.awt.Paint paint,
                  java.awt.Stroke stroke,
                  java.awt.Paint outlinePaint,
                  java.awt.Stroke outlineStroke,
                  float alpha)

  Constructs a new marker.

Parameters:
  `paint` - the paint (`null` not permitted).
  `stroke` - the stroke (`null` not permitted).
  `outlinePaint` - the outline paint (`null` permitted).
  `outlineStroke` - the outline stroke (`null` permitted).
  `alpha` - the alpha transparency.

Method Detail

### getPaint

    public java.awt.Paint getPaint()

  Returns the paint.

  Returns:
    the paint (never `null`).

### setPaint

    public void setPaint(java.awt.Paint paint)

  Sets the paint.

  Parameters:
    `paint` - the paint (`null` not permitted).

### getStroke

    public java.awt.Stroke getStroke()

  Returns the stroke.

  Returns:
    the stroke (never `null`).

### setStroke

    public void setStroke(java.awt.Stroke stroke)

  Sets the stroke.

  Parameters:
    `stroke` - the stroke (`null` not permitted).

### getOutlinePaint

    public java.awt.Paint getOutlinePaint()

  Returns the outline paint.

  Returns:
    the outline paint (possibly `null`).

### setOutlinePaint

    public void setOutlinePaint(java.awt.Paint paint)

  Sets the outline paint.

  Parameters:
    `paint` - the paint (`null` permitted).

### getOutlineStroke

    public java.awt.Stroke getOutlineStroke()

  Returns the outline stroke.

  Returns:
    the outline stroke (possibly `null`).

### setOutlineStroke

    public void setOutlineStroke(java.awt.Stroke stroke)

  Sets the outline stroke.

  Parameters:
    `stroke` - the stroke (`null` permitted).

### getAlpha

    public float getAlpha()

  Returns the alpha transparency.

  Returns:
    the alpha transparency.

### setAlpha

    public void setAlpha(float alpha)

  Sets the alpha transparency.

  Parameters:
    `alpha` - the alpha transparency.

### getLabel

    public java.lang.String getLabel()

  Returns the label (if `null` no label is displayed).

  Returns:
    The label (possibly `null`).

### setLabel

    public void setLabel(java.lang.String label)

  Sets the label (if `null` no label is displayed).

  Parameters:
    `label` - the label (`null` permitted).

### getLabelFont

    public java.awt.Font getLabelFont()

  Returns the label font.

  Returns:
    the label font (never `null`).

### setLabelFont

    public void setLabelFont(java.awt.Font font)

  Sets the label font.

  Parameters:
    `font` - the font (`null` not permitted).

### getLabelPaint

    public java.awt.Paint getLabelPaint()

  Returns the label paint.

  Returns:
    the label paint (never null).

### setLabelPaint

    public void setLabelPaint(java.awt.Paint paint)

  Sets the label paint.

  Parameters:
    `paint` - the paint (`null` not permitted).

### getLabelAnchor

    public org.jfree.ui.RectangleAnchor getLabelAnchor()

  Returns the label anchor.

  Returns:
    the label anchor (never `null`).

### setLabelAnchor

    public void setLabelAnchor(org.jfree.ui.RectangleAnchor anchor)

  Sets the label anchor.

  Parameters:
    `anchor` - the anchor (`null` not permitted).

### getLabelOffset

    public org.jfree.ui.RectangleInsets getLabelOffset()

  Returns the label offset.

  Returns:
    the label offset (never `null`).

### setLabelOffset

    public void setLabelOffset(org.jfree.ui.RectangleInsets offset)

  Sets the label offset.

  Parameters:
    `offset` - the label offset (`null` not permitted).

### getLabelTextAnchor

    public org.jfree.ui.TextAnchor getLabelTextAnchor()

  Returns the label text anchor.

  Returns:
    the label text anchor (never `null`).

### setLabelTextAnchor

    public void setLabelTextAnchor(org.jfree.ui.TextAnchor anchor)

  Sets the label text anchor.

  Parameters:
    `anchor` - the label text anchor (`null` not permitted).

### equals

    public boolean equals(java.lang.Object object)

  Tests an object for equality with this instance.

  Parameters:
    `object` - the object to test.
  Returns:
    A boolean.